@use '../colors' as *;
@use '../spacing' as *;


.postcard {
    padding: 0 $DEFAULT-SPACING;
}

.postcard .postcard-header {
    margin: $DEFAULT-SPACING 0;
    padding: 0;
}

.postcard .postcard-subheader {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-start;
    gap: $DEFAULT-SPACING;
    row-gap: $DEFAULT-SPACING;
    margin: $DEFAULT-SPACING 0;
    padding: 0;

    font-size: 0.99em;
}

.postcard .postcard-date {
    display: block;
}

.postcard .postcard-authors {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-start;
    gap: $DEFAULT-SPACING;
    row-gap: $DEFAULT-SPACING;
}

.postcard .postcard-picture-href {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    gap: 5px;
    row-gap: $DEFAULT-SPACING;

    text-align: center;
    vertical-align: middle;
}

.postcard .title {
    font-size: 1.15em;
    font-weight: 600;
    letter-spacing: 0.025em;
}

.postcard a {
    text-decoration: none;
    color: $FOREGROUND-PRIMARY;
}

.postcard .postcard-picture-href img {
    width: 32px;
    height: 32px;
}